--[[

Neovim Configuration
Configuration Home: https://github.com/esprssoo/dotfiles

--]]

FD_EXISTS = vim.fn.executable("fd")
RIPGREP_EXISTS = vim.fn.executable("rg")

vim.g.mapleader = " "
-- vim.g.netrw_banner = 0
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

require "my.plugins"
require "my.options"
require "my.keymaps"

vim.api.nvim_create_autocmd("TextYankPost", {
    group = vim.api.nvim_create_augroup("HighlightYank", {}),
    pattern = "*",
    callback = function()
        vim.highlight.on_yank()
    end,
})
